#include <stdio.h>
#include <math.h>

void gen(unsigned int n, float m[n][2]){
	int i;
	double pi2 = M_PI_2;
	double x;
	for(i = 0; i < n; i++){
		x = pi2 * i / (n - 1);
		m[i][0] = 90.0 * i / (n - 1);
		m[i][1] = cos(x);
	}
}

void save(unsigned int n, float m[n][2]){
	FILE *f = fopen("cos.txt", "w"); //we write again
	if(f == NULL){ //file opening failed
		printf("Could not save\n");
		return;
	}
	int i;
	for(i = 0; i < n; i++)
		fprintf(f, "%f %f\n", m[i][0], m[i][1]);
	fclose(f);
}

int main(void){
	unsigned int n = 91;  
	float m[n][2];
	gen(n, m);
	save(n, m);
	return 0;
}
